#ifndef __MAC_DRAWSP_H__
#define __MAC_DRAWSP_H__

#ifndef __BURGER__
#include <burger.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern void SaveGammas(void);
extern void RestoreGammas(void);
extern Word macds_GetDepth(void);

extern int macds_InitContext( int cWidth, int cHeight, int cFullscreen );
extern void macds_ActivateContext(void);
extern void macds_PauseContext(void);
extern void macds_SwapBuffer(void);
extern void macds_Shutdown(void);

/* In Mac_Blit.c */

extern void DoBlitter(void);
extern void DoDoubleBlit(void);

/* In Mac_Gl.c */

//extern int MacGLGet_VRAM(void);
extern void MacGLWindow_Activate(void);
extern void DestroyMacGLWindow(void);

#ifdef __cplusplus
}
#endif

#endif