#include "q_shared.h"

// directory searching
#define SFF_ARCH    0x01
#define SFF_HIDDEN  0x02
#define SFF_RDONLY  0x04
#define SFF_SUBDIR  0x08
#define SFF_SYSTEM  0x10

int	curtime;

int Sys_Milliseconds (void)
{
	int rettime;
	rettime = ReadTickMilliseconds();
	curtime = rettime;
	return(rettime);
}

void Sys_Mkdir (const char *path)
{
char temppath[4096];
int strip0;

	// is it just .?
	if ((Burger::StringLength(path) == 1) && (path[0] == '.'))
		return;

	temppath[0] = '9';	// do burgerlib app prefix
	temppath[1] = ':';
//NCT_MAC strip ./ off of paths
	if ( (path[0] == '.') && (path[1] == '/')) {
		Burger::StringCopy(&temppath[2],&path[2]);
		strip0 = 2;
		while (temppath[strip0] != 0) {
			if ( (temppath[strip0] == '/') || (temppath[strip0] == '\\') )
				temppath[strip0] = ':';
			else
				temppath[strip0] = temppath[strip0];
			++strip0;
		}
		temppath[strip0] = 0;
	} else {
		Burger::StringCopy(&temppath[2],path);

		strip0 = 2;
		while (temppath[strip0] != 0)
		{
			if ( (temppath[strip0] == '/') || (temppath[strip0] == '\\') )
				temppath[strip0] = ':';
			else
				temppath[strip0] = temppath[strip0];
			++strip0;
		}
		temppath[strip0] = 0;
	}
	Burger::FileManager::CreateDirectoryPath(temppath);
}


