
option expr32
option casemap:none

IFNDEF	gl_model_inc
gl_model_inc	EQU		1

; Begin of file ..\gl_model.h
	INCLUDE	gl_loc1.inc

@tag_AMD8_64		STRUCT 1t
position		vec3_t		3t DUP (?)
@tag_AMD8_64		ENDS

mvertex_t		TYPEDEF		@tag_AMD8_64

@tag_AMD8_65		STRUCT 1t
mins		vec3_t		3t DUP (?)
maxs		vec3_t		3t DUP (?)
origin		vec3_t		3t DUP (?)
radius		REAL4		?
headnode		SDWORD		?
visleafs		SDWORD		?
firstface		SDWORD		?
numfaces		SDWORD		?
@tag_AMD8_65		ENDS

mmodel_t		TYPEDEF		@tag_AMD8_65

SIDE_FRONT		EQU		0t
SIDE_BACK		EQU		1t
SIDE_ON		EQU		2t
SURF_PLANEBACK		EQU		2t
SURF_DRAWSKY		EQU		4t
SURF_DRAWTURB		EQU		000000010h
SURF_DRAWBACKGROUND		EQU		000000040h
SURF_UNDERWATER		EQU		000000080h
SURF_DRAWNONLIT		EQU		000000100h
SURF_DRAWMASKED		EQU		000000200h
@tag_AMD8_66		STRUCT 1t
v		WORD		2t DUP (?)
cachededgeoffset		DWORD		?
@tag_AMD8_66		ENDS

medge_t		TYPEDEF		@tag_AMD8_66

@t_AMD8_65		TYPEDEF		PTR @tag_AMD8_mtexinfo_s
@t_AMD8_66		TYPEDEF		PTR image_t
@t_AMD8_67		TYPEDEF		PTR csurface_t
@tag_AMD8_mtexinfo_s		STRUCT 1t
vecs		REAL4		2t DUP (4t DUP (?))
flags		SDWORD		?
next		@t_AMD8_65		?
image		@t_AMD8_66		?
surf		@t_AMD8_67		?
@tag_AMD8_mtexinfo_s		ENDS

mtexinfo_t		TYPEDEF		@tag_AMD8_mtexinfo_s

VERTEXSIZE		EQU		7t
@t_AMD8_68		TYPEDEF		PTR @tag_AMD8_glpoly_s
@t_AMD8_69		TYPEDEF		PTR @tag_AMD8_glpoly_s
@tag_AMD8_glpoly_s		STRUCT 1t
next		@t_AMD8_68		?
chain		@t_AMD8_69		?
numverts		SDWORD		?
flags		SDWORD		?
verts		REAL4		4t DUP (7t DUP (?))
@tag_AMD8_glpoly_s		ENDS

glpoly_t		TYPEDEF		@tag_AMD8_glpoly_s

MAX_SPLATTER_VERTS		EQU		6t
@t_AMD8_70		TYPEDEF		PTR @tag_AMD8_splatter_s
@tag_AMD8_splatter_s		STRUCT 1t
numverts		SDWORD		?
verts		REAL4		6t DUP (7t DUP (?))
next		@t_AMD8_70		?
@tag_AMD8_splatter_s		ENDS

splatter_t		TYPEDEF		@tag_AMD8_splatter_s

@t_AMD8_71		TYPEDEF		PTR cplane_t
@t_AMD8_72		TYPEDEF		PTR glpoly_t
@t_AMD8_73		TYPEDEF		PTR @tag_AMD8_msurface_s
@t_AMD8_74		TYPEDEF		PTR @tag_AMD8_msurface_s
@t_AMD8_75		TYPEDEF		PTR mtexinfo_t
@t_AMD8_76		TYPEDEF		PTR BYTE
@t_AMD8_77		TYPEDEF		PTR entity_t
@t_AMD8_78		TYPEDEF		PTR mtexinfo_t
@t_AMD8_79		TYPEDEF		PTR splatter_t
@tag_AMD8_msurface_s		STRUCT 1t
visframe		SDWORD		?
plane		@t_AMD8_71		?
flags		SDWORD		?
firstedge		SDWORD		?
numedges		SDWORD		?
texturemins		SWORD		2t DUP (?)
extents		SWORD		2t DUP (?)
light_s		SDWORD		?
light_t		SDWORD		?
dlight_s		SDWORD		?
AMD_dlight_t		SDWORD		?
polys		@t_AMD8_72		?
texturechain		@t_AMD8_73		?
lightmapchain		@t_AMD8_74		?
texinfo		@t_AMD8_75		?
dlightframe		SDWORD		?
dlightbits		SDWORD		?
lightmaptexturenum		SDWORD		?
styles		BYTE		16t DUP (?)
cached_light		SDWORD		16t DUP (?)
samples		@t_AMD8_76		?
owner		@t_AMD8_77		?
first_texinfo		@t_AMD8_78		?
splatter_surface		@t_AMD8_79		?
@tag_AMD8_msurface_s		ENDS

msurface_t		TYPEDEF		@tag_AMD8_msurface_s

@t_AMD8_80		TYPEDEF		PTR @tag_AMD8_mnode_s
@t_AMD8_81		TYPEDEF		PTR cplane_t
@t_AMD8_82		TYPEDEF		PTR @tag_AMD8_mnode_s
@tag_AMD8_mnode_s		STRUCT 1t
contents		SDWORD		?
visframe		SDWORD		?
minmaxs		REAL4		6t DUP (?)
parent		@t_AMD8_80		?
plane		@t_AMD8_81		?
children		@t_AMD8_82		2t DUP (?)
firstsurface		WORD		?
numsurfaces		WORD		?
@tag_AMD8_mnode_s		ENDS

mnode_t		TYPEDEF		@tag_AMD8_mnode_s

@t_AMD8_83		TYPEDEF		PTR @tag_AMD8_mnode_s
@t_AMD8_84		TYPEDEF		PTR PTR msurface_t
@tag_AMD8_mleaf_s		STRUCT 1t
contents		SDWORD		?
visframe		SDWORD		?
minmaxs		REAL4		6t DUP (?)
parent		@t_AMD8_83		?
cluster		SDWORD		?
area		SDWORD		?
firstmarksurface		@t_AMD8_84		?
nummarksurfaces		SDWORD		?
@tag_AMD8_mleaf_s		ENDS

mleaf_t		TYPEDEF		@tag_AMD8_mleaf_s

mod_bad		EQU		0t
mod_brush		EQU		1t
mod_sprite		EQU		2t
mod_alias		EQU		3t
mod_sinmdl		EQU		4t

modtype_t		TYPEDEF		SDWORD

@t_AMD8_85		TYPEDEF		PTR mmodel_t
@t_AMD8_86		TYPEDEF		PTR cplane_t
@t_AMD8_87		TYPEDEF		PTR mleaf_t
@t_AMD8_88		TYPEDEF		PTR mvertex_t
@t_AMD8_89		TYPEDEF		PTR medge_t
@t_AMD8_90		TYPEDEF		PTR mnode_t
@t_AMD8_91		TYPEDEF		PTR mtexinfo_t
@t_AMD8_92		TYPEDEF		PTR msurface_t
@t_AMD8_93		TYPEDEF		PTR SDWORD
@t_AMD8_94		TYPEDEF		PTR PTR msurface_t
@t_AMD8_95		TYPEDEF		PTR dvis_t
@t_AMD8_96		TYPEDEF		PTR BYTE
@t_AMD8_97		TYPEDEF		PTR image_t
@t_AMD8_98		TYPEDEF		PTR 
@tag_AMD8_model_s		STRUCT 1t
AMD_name		SBYTE		64t DUP (?)
registration_sequence		SDWORD		?
AMD_type		modtype_t		?
numframes		SDWORD		?
flags		SDWORD		?
mins		vec3_t		3t DUP (?)
maxs		vec3_t		3t DUP (?)
radius		REAL4		?
clipbox		qboolean		?
clipmins		vec3_t		3t DUP (?)
clipmaxs		vec3_t		3t DUP (?)
firstmodelsurface		SDWORD		?
nummodelsurfaces		SDWORD		?
lightmap		SDWORD		?
numsubmodels		SDWORD		?
submodels		@t_AMD8_85		?
numplanes		SDWORD		?
planes		@t_AMD8_86		?
numleafs		SDWORD		?
leafs		@t_AMD8_87		?
numvertexes		SDWORD		?
vertexes		@t_AMD8_88		?
numedges		SDWORD		?
edges		@t_AMD8_89		?
numnodes		SDWORD		?
firstnode		SDWORD		?
nodes		@t_AMD8_90		?
numtexinfo		SDWORD		?
texinfo		@t_AMD8_91		?
numsurfaces		SDWORD		?
surfaces		@t_AMD8_92		?
numsurfedges		SDWORD		?
surfedges		@t_AMD8_93		?
nummarksurfaces		SDWORD		?
marksurfaces		@t_AMD8_94		?
vis		@t_AMD8_95		?
lightdata		@t_AMD8_96		?
skins		@t_AMD8_97		32t DUP (?)
extradatasize		SDWORD		?
extradata		@t_AMD8_98		?
@tag_AMD8_model_s		ENDS

model_t		TYPEDEF		@tag_AMD8_model_s

@proto_AMD8_328		TYPEDEF		PROTO STDCALL 
Mod_Init		PROTO		@proto_AMD8_328

@proto_AMD8_329		TYPEDEF		PROTO STDCALL 
Mod_ClearAll		PROTO		@proto_AMD8_329

@proto_AMD8_330		TYPEDEF		PROTO STDCALL 
Mod_Modellist_f		PROTO		@proto_AMD8_330

@proto_AMD8_331		TYPEDEF		PROTO STDCALL 
Mod_FreeAll		PROTO		@proto_AMD8_331

@proto_AMD8_332		TYPEDEF		PROTO STDCALL :PTR model_t
Mod_Free		PROTO		@proto_AMD8_332

; End of file ..\gl_model.h

ENDIF

