//-----------------------------------------------------------------------------
//
//  $Logfile:: /2015/genericbullet.h                                          $
// $Revision:: 1                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 5:20 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
// 
// DESCRIPTION:
// Generic Bullet Weapon.
// 

#ifndef __GENERIC_BULLET_H__
#define __GENERIC_BULLET_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "bullet.h"

class EXPORT_FROM_DLL GenericBullet : public BulletWeapon
	{
	public:
		CLASS_PROTOTYPE( GenericBullet );
		
								GenericBullet();
		virtual void		Shoot( Event *ev );
	};

class EXPORT_FROM_DLL ReconahGun : public GenericBullet
	{
	public:
		CLASS_PROTOTYPE( ReconahGun );
		
		virtual void		Shoot( Event *ev );
	};

class EXPORT_FROM_DLL BeeGun : public GenericBullet
	{
	public:
		CLASS_PROTOTYPE( BeeGun );
		
		virtual void		Shoot( Event *ev );
	};

#endif /* generic bullet.h */
