//-----------------------------------------------------------------------------
//
//  $Logfile:: /2015/PlayerStart.h                                            $
// $Revision:: 1                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 5:21 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Player start location entity declarations
// 

#ifndef __PLAYERSTART_H__
#define __PLAYERSTART_H__

#include "g_local.h"
#include "entity.h"
#include "camera.h"

class EXPORT_FROM_DLL PlayerStart : public Entity
	{
	public:
      CLASS_PROTOTYPE( PlayerStart );
		
		PlayerStart();
	};

class EXPORT_FROM_DLL ProgressiveStart : public PlayerStart
	{
	public:
      CLASS_PROTOTYPE( ProgressiveStart );
		
		      ProgressiveStart();
      void  SetSpawnpoint( Event *ev );   
	};

class EXPORT_FROM_DLL TestPlayerStart : public PlayerStart
	{
	public:
		CLASS_PROTOTYPE( TestPlayerStart );
	};

class EXPORT_FROM_DLL PlayerDeathmatchStart : public PlayerStart
	{
	public:
		CLASS_PROTOTYPE( PlayerDeathmatchStart );
	};

class EXPORT_FROM_DLL PlayerCoopStart : public PlayerStart
	{
	public:
		CLASS_PROTOTYPE( PlayerCoopStart );
	};

class EXPORT_FROM_DLL PlayerIntermission : public Camera
	{
	public:
		CLASS_PROTOTYPE( PlayerIntermission );
      PlayerIntermission();
	};

#endif /* PlayerStart.h */
