//-----------------------------------------------------------------------------
//
//  $Logfile:: /Source/md4.c                                                  $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:49 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//

#include "qcommon.h"

//===================================================================

unsigned Com_BlockChecksum (void *buffer, int length)
{
	int	digest[4];
	unsigned val;
	MD4_t ctx;

	MD4Init (&ctx);
	MD4Update (&ctx, (unsigned char *)buffer, length);
	MD4Final ( (unsigned char *)digest, &ctx);

	val = digest[0] ^ digest[1] ^ digest[2] ^ digest[3];

	return val;
}