//-----------------------------------------------------------------------------
//
//  $Logfile:: /Source/wave.h                                                 $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:31 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// wave header functions
//

#ifndef __WAVE_H__
#define __WAVE_H__

#ifndef __BURGER__
#include <burger.h>
#endif

#define WAV_PCM_FORMAT 1
#define WAV_IMA_ADPCM_FORMAT 17

typedef struct {
	int rate;
	int width;
	int	channels;
	int loopstart;
	int samples;
	int dataofs;		// chunk starts this many bytes from file start
	int format;
	int blockalign;
	int samplesperblock;
} wavinfo_t;

extern wavinfo_t GetWavinfo( const char *name, Word8 *wav, int wavlength );
extern float SoundTimeLength( const char * name );

#endif